.calc-form .hidden {
  display: none !important;
}

.calc-form-fill {
    border-radius: 8px;
    background-color: #F5F5F5;
    padding: 24px 20px;
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.calc-form a.tolltip-icon {
  display: inline-block;
  line-height: 1;
  vertical-align: middle;
  margin-left: 0.5em;
  position: relative;
  width: 1em;
  font-size: 1em;
  color: #a3062f;
}
.calc-form a.tolltip-icon:hover {
  color: #e42239;
}
.calc-form .step {
  display: none;
  padding-bottom: 20px;
}
.calc-form .step.start, .calc-form .step.active {
  display: block;
}
.calc-form .step__label {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  /*-webkit-box-align: center;*/
  /*    -ms-flex-align: center;*/
  /*        align-items: center;*/
}
.calc-form .step__label span {
  display: block;
  overflow: hidden;
  text-overflow: ellipsis;
  padding-right: 16px;
  white-space: nowrap;
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
  min-width: 0;
  font-size: 12px;
  font-weight: 600;


}
.calc-form .results {
  display: none;
}
.calc-form__radio {
  display: inline-block;
  line-height: 1;
  vertical-align: middle;
}
.calc-form__radio input {
  display: none;
}
.calc-form__radio input + label {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  cursor: pointer;
}
.calc-form__radio input + label .input {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -ms-flex-pack: distribute;
      justify-content: space-around;
  width: 19px;
  height: 19px;
  border-radius: 5px;
  background: #a5a5a5;
  color: #a5a5a5;
  -webkit-transition: 0.15s ease-in-out;
  transition: 0.15s ease-in-out;
}
.calc-form__radio input + label .input:before {
  display: block;
  content: "";
  width: 8px;
  height: 4px;
  border-bottom: 1px solid currentColor;
  border-left: 1px solid currentColor;
  -webkit-transform: rotate(-45deg);
          transform: rotate(-45deg);
  margin-top: -2px;
}
.calc-form__radio input + label .text {
  display: block;
  padding-left: 0.5em;
}
.calc-form__radio input:checked + label .input {
  background: #a3062f;
  color: #fff;
}
.calc-form__select .select2-container {
  display: block;
  width: 100% !important;
  height: 48px;
}
.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {

  background-color: #a3062f;
}

.calc-form__select .select2-container:after {
  display: block;
  content: "";
  border-color: #888 transparent transparent transparent;
  border-style: solid;
  border-width: 5px 4px 0 4px;
  height: 0;
  margin-left: -4px;
  margin-top: -2px;
  position: absolute;
  top: 24px;
  width: 0;
  right: 18px;

}
.calc-form__select .select2-container--open:after {
  -webkit-transform: rotate(180deg);
          transform: rotate(180deg);
}
.calc-form__select .select2-container .select2-selection__arrow {
  display: none !important;
}
.calc-form__select .select2-container .select2-selection--single {
  padding-top: 12px;
  padding-bottom: 12px;
  height: 50px;
  border: 2px solid #D6D6D6;
  border-radius: 10px;
}


.calc-form__select .select2-container .select2-selection--single:hover {
  opacity: 0.5;
  border: 2px solid #e42239;

}
.calc-form__select .select2-container .select2-selection--single .select2-selection__rendered {
  line-height: 20px;
  padding-left: 30px;
  font-size: 16px;
  color: #212529;
}
@media (max-width: 1200px) {
  .calc-form__select .select2-container .select2-selection--single {
    height: 44px;
    padding-top: 10px;
    padding-bottom: 10px;
  }
  .calc-form__select .select2-container .select2-selection--single .select2-selection__rendered {
    font-size: 12px;
  }

  .calc-form__select .select2-container:after {
    top: 21px;
  }
}
.calc-form__select .select2-container .select2-selection--single .select2-selection__rendered span {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
.calc-form__select .select2-container .select2-selection--single .select2-selection__rendered span img,
.calc-form__select .select2-container .select2-selection--single .select2-selection__rendered span span {
  display: block;
}
.calc-form__select .select2-container .select2-selection--single .select2-selection__rendered span img {
  height: 24px;
  margin-right: 0.5em;
}
.calc-form__select .select2-container .select2-selection--single .select2-selection__rendered span span {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.calc-form__select .select2-container .select2-selection--single .select2-selection__arrow {
  top: 50%;
  -webkit-transform: translateY(-50%);
          transform: translateY(-50%);
}
.calc-form__select .select2-container .select2-selection--multiple {
  border: 1px solid #aaa;
  height: 48px;
  padding-top: 11px;
  padding-bottom: 11px;
  padding-right: 20px;
}
.calc-form__select .select2-container .select2-selection--multiple .select2-selection__rendered {
  display: block;
  white-space: nowrap;
  overflow: hidden;
  position: relative;
  z-index: 1;
  text-overflow: ellipsis;
  margin: 0;
}
.calc-form__select .select2-container .select2-selection--multiple .select2-selection__rendered .select2-selection__choice {
  margin-top: 0;
  border: 0;
  background: #e42239;
  color: #fff;
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: reverse;
      -ms-flex-direction: row-reverse;
          flex-direction: row-reverse;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  padding: 0;
}
.calc-form__select .select2-container .select2-selection--multiple .select2-selection__rendered .select2-selection__choice__display {
  font-size: 12px;
  display: block;
  padding: 0 5px;
}
.calc-form__select .select2-container .select2-selection--multiple .select2-selection__rendered .select2-selection__choice__remove {
  position: static;
  background: transparent !important;
  color: #fff;
  border: 0;
  font-weight: 300;
  opacity: 0.5;
  border-radius: 0;
  text-align: center;
  padding: 0;
  width: 1em;
}
.calc-form__select .select2-container .select2-selection--multiple .select2-selection__rendered .select2-selection__choice__remove:hover {
  opacity: 0.75;
}
.calc-form__select .select2-container .select2-selection--multiple .select2-search--inline {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 0;
}
.calc-form__select .select2-container .select2-selection--multiple .select2-search--inline .select2-search__field {
  margin: 0;
  padding: 11px 8px;
  height: 100%;
  opacity: 1;
  color: #fff;
}
.calc-form__select .select2-container--focus .select2-selection--multiple {
  border: 1px solid #aaa;
}
.calc-form__slider input {
  position: relative;
  z-index: 1;
  width: 100%;
  background-color: #fff;
  border: 2px solid #D6D6D6;
  height: 50px;
  padding: 8px;
  font-size: 16px;
  color: #a5a5a5;
  border-radius: 10px 10px 0 0;
}

@media (max-width: 1200px) {
  .calc-form__slider input {
    height: 44px;
  }

}
.calc-form__slider input:hover {

  border: 2px solid #e42239;
  opacity: 0.5;
}
.calc-form__slider .noUi-horizontal {
  height: 2px;
  border: 0;
  border-radius: 0;
  -webkit-box-shadow: none;
          box-shadow: none;
}
.calc-form__slider .noUi-target {
  background: #aaa;
  position: relative;
  margin: 0;
  margin-top: -2px;
  z-index: 2;
}
.calc-form__slider .noUi-handle {
  width: 20px;
  height: 20px;
  border-radius: 50%;
  border: 1mpx solid white;
  top: 50%;
  background: #a3062f;
  -webkit-box-shadow: 1px 2px 2px rgba(0, 0, 0, 0.15);
          box-shadow: 1px 2px 2px rgba(0, 0, 0, 0.15);
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  cursor: pointer;
}
.calc-form__slider .noUi-handle:hover {
  background: #e42239;
}
.calc-form__slider .noUi-handle:before, .calc-form__slider .noUi-handle:after {
  height: 8px;
  left: 50%;
  top: 50%;
  margin-top: -4px;
}
.calc-form__slider .noUi-handle:before {
  margin-left: -2px;
}
.calc-form__slider .noUi-handle:after {
  margin-left: 2px;
}
.calc-form__slider .noUi-connects {
  background: #aaa;
  border-radius: 0;
}
.calc-form__slider .noUi-connect {
  background: #e42239;
  border-radius: 0;
}

.select2-results__option {
  line-height: 24px;
  margin-bottom: 1px;
}
.select2-results__option:last-child {
  margin-bottom: 0;
}
.select2-results__option span {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
.select2-results__option span img,
.select2-results__option span span {
  display: block;
}
.select2-results__option span img {
  height: 24px;
  margin-right: 0.5em;
}
.select2-results__option span span {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

@media (max-width: 750px) {
  .calculatorfull .position .sidebar .content-calculator .livrare {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
  }
}


input::-webkit-outer-spin-button,
	input::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
	}

	.rca_tab {
		background-color: whitesmoke;
		margin-bottom: 20px;
		border-radius: 10px;
		padding: 20px 25px 25px;
	}

	.rca_tab_title {
		align-items: center;
    -webkit-box-align: center;
      -ms-flex-align: center;
		color: #374957;
		display: flex;
    display: -ms-flexbox;
		font-size: 16px;
		font-weight: 700;
		line-height: 18px;
		margin-bottom: 20px;
	}
	.step.start input {
		border-radius: 10px;
	}

	.rca_results_tab {
		background-color: whitesmoke;
		border-radius: 10px;
    text-align: center;
	}

	.rca_results_tab:not(:last-child) {
		margin-bottom: 30px;
	}

	.rca_title_label {
		display: flex;
    display: -ms-flexbox;
		align-items: center;
    -webkit-box-align: center;
      -ms-flex-align: center;
		background-color: whitesmoke;
		border-bottom: 1px solid #a4012d;
		border-radius: 5px 5px 0 0;
		justify-content: space-between;
		min-height: 45px;
		padding: 5px 15px;
	}

	.rca_tab input[name="rca_personal_id"],
	.rca_tab input[name="rca_registration_certificate_number"] {
		width: 100%;
	}

	.rca_result_details {
		padding: 20px 15px;
	}

	.final__details .rca_result_details {
		display: flex;
    display: -ms-flexbox;
	}

	.rca__details__headline {
		align-items: center;
    -webkit-box-align: center;
      -ms-flex-align: center;
		color: #888f94;
		display: flex;
    display: -ms-flexbox;
		font-size: 12px;
		font-weight: 600;
		line-height: 16px;
		margin-bottom: 15px;
		text-transform: uppercase;
	}

  .rca__details__headline.error__headline {
    color: #a40730;
    margin-bottom: 0px;
    font-weight: 400;
}

	.rca__details__block {
		display: flex;
    display: -ms-flexbox;
    row-gap: 20px;
	}

	.rca__details__block:not(:last-child) {
		margin-bottom: 30px;
	}

	.rca__details__item h4 {
		color: #a4012d;
		font-size: 14px;
		font-weight: 700;
		line-height: 14px;
		margin-bottom: 8px;
	}

	.rca__details__item p {
		color: #374957;
		font-size: 14px;
		font-weight: 500;
		line-height: 14px;
		word-break: break-word;
	}

	.rca__order__type:before {
		border: 2px solid transparent;
		border-radius: 50%;
		box-sizing: border-box;
		content: "";
		display: block;
		height: 9px;
		margin-right: 10px;
		width: 9px;
		border-color: #a4012d;
	}

	.rca__order__type {
		align-items: center;
    -webkit-box-align: center;
      -ms-flex-align: center;
		color: #374957;
		display: flex;
    display: -ms-flexbox;
		font-size: 14px;
		font-weight: 600;
		line-height: 14px;
		margin-bottom: 9px;
	}

	.rca__order__price {
		color: rgba(55,73,87,.8);
		flex-shrink: 0;
		font-size: 14px;
		font-weight: 900;
		line-height: 14px;
	}

	.advertisement__tab {
		padding: 10px 15px;
		border: 1px solid #a4012d;
	}

	.advertisement__tab .rca__details__headline {
		margin-bottom: 0;
	}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~ rca first step ~~~~~~~~~~~~~~~~~~~~~ */
.rca_tab_input {
  position: relative;
}
.rca_tab_input input {
  border-radius: 10px;
  width: 100%;
}
.vehicle.rca_tab_input:hover .rca_tab_vehical_input-tooltip {
  visibility: visible;
  opacity: 1;
}
.idnx.rca_tab_input:hover .rca_tab_idnx-tooltip {
  visibility: visible;
  opacity: 1;
}
.rca_tab_vehical_input-tooltip {
  position: absolute;
  left: -360px;
  visibility: hidden;
  background-color: #fff;
  padding: 10px;
  border-radius: 4px;
  top: -65px;
  opacity: 0;
  transition: all 0.2s linear;
  -webkit-box-shadow: 0px 0px 32px 0px rgba(34, 60, 80, 0.2);
    -moz-box-shadow: 0px 0px 32px 0px rgba(34, 60, 80, 0.2);
      box-shadow: 0px 0px 32px 0px rgba(34, 60, 80, 0.2);
}

.caret {
  position: absolute;
  top: 80px;
  right: -20px;
  width: 0;
  height: 0;
  border-left: 10px solid #fff;
  border-right: 10px solid transparent;
  border-bottom: 10px solid transparent;
  border-top: 10px solid transparent;
}

.rca_tab_vehical-tooltip-title {
  font-family: 'Open Sans', sans-serif;
  font-weight: 700;
  font-size: 14px;
}

.rca_tab_idnx-tooltip {
  position: absolute;
  left: -360px;
  visibility: hidden;
  background-color: #000;
  padding: 10px;
  border-radius: 4px;
  top: -50px;
  opacity: 0;
  transition: all 0.2s linear;
  -webkit-box-shadow: 0px 0px 32px 0px rgba(34, 60, 80, 0.2);
    -moz-box-shadow: 0px 0px 32px 0px rgba(34, 60, 80, 0.2);
      box-shadow: 0px 0px 32px 0px rgba(34, 60, 80, 0.2);
}
.rca_tab_idnx-tooltip .caret {
  border-left: 10px solid #000;
  top: 68px;
}
.rca_tab_idnx-tooltip p {
  color: #fff;
  max-width: 300px;
}

.content-calculator_wrap {
  margin: auto
}

#rca-form_step_1 {
  margin-bottom: 20px;
}

#rca-form_step_1 .rca_tab {
  max-width: 650px;
  min-width: 650px;
}

@media (max-width: 1300px) {
  .rca_tab_vehical_input-tooltip, .rca_tab_idnx-tooltip {
    left: 0;
    top: 65px;
    z-index: 1;
  }
  .caret {
    top: -20px;
    left: 146px;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-bottom: 10px solid #fff;
    border-top: 10px solid transparent;
  }
  .rca_tab_idnx-tooltip .caret {
    border-bottom: 10px solid #000;
    border-left: 10px solid transparent;
    top: -20px;
    left: 146px;
  }
}

@media (max-width: 992px) {
  .content-calculator_wrap {
    width: 100%;

  }
  #rca-form_step_1 .rca_tab {
    min-width: 100%;
  }
  .rca_tab {
    min-width: 100%;
  }
}

/* custom checkbox */
.custom-checkbox {
  display: flex;
  align-items: center;
  input[type="checkbox"] {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 21px;
    width: 100%;
  }

  .checkbox {
    width: 20px;
    min-width: 20px;
    height: 20px;
    background-color: #A5A5A5;
    border: 2px solid #A5A5A5;
    border-radius: 4px;
    margin-right: 10px;
    vertical-align: middle;
    transition: background-color 0.3s, border-color 0.3s;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  input[type="checkbox"]:checked + label .checkbox {
    background-color:#E42239; /* Change this to your desired checked color */
    border-color: #E42239; /* Change this to your desired checked color */
  }

  label {
    display: flex;
    align-items: center;
    cursor: pointer;
    font-size: 14px;
    color: #676B72;
    margin: 0;
      a {
        color:  #E42239;
      }
  }

  img {
    max-width: 100%;
    height: auto;
  }
}

@media (max-width: 992px) {
  .custom-checkbox label span {
    font-size: 12px;
  }
}

.btn {
  padding: 11px 23px !important;
  line-height: 19px !important;
  font-size: 12px !important;
  margin-left: 0 !important;
  background: #E42239;
  color: #fff;
  border: none;
  border-radius: 6px;
  box-shadow: 0px 1px 4px 0px #e42239;
  outline: 0;
}

.btn:disabled {
  background: #A5A5A5;

  box-shadow: 0px 1px 4px 0px #A5A5A5;
}

.input-error {
  color: #E42239 !important;
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ rca first step ~~~~~~~~~~~~~~~~~~~ end */

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ rca second step ~~~~~~~~~~~~~~~~~~ */
.rca_tab {
  border-radius: 10px;
  padding: 20px 25px 25px;
  max-width: 900px;
  width: 100%;
  background: whitesmoke;
  min-width: 900px;
}
@media (max-width: 992px) {
  .rca_tab {
    min-width: 100%;
  }
}

.rca_left_top {
  display: flex;
  display: -ms-flexbox;
  align-items: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
  justify-content: space-between;
  border-bottom: 1px solid #a4012d;
  border-radius: 0;
}

.rca_left_container .badge.badge_red {
  font-size: 14px;
  font-weight: 400;
  padding: 8px 10px;
  background: #a3062f12;
  color: #a3062f;
}

.rca_left_container .price_wrapper span {
  font-weight: bold;
  font-size: 14px;
}

.rca_left_container button {
  margin-top: 20px;
}

.rca_right_container {
  border: 1px solid #cacaca;
  border-radius: 4px;
  padding: 0;
}

.rca_right_container .rca__details__headline {
  padding: 12px;
  border-bottom: 1px solid #cacaca;
  margin-bottom: 0;
}

.rca__details__content {
  padding: 12px;
}

.rca__details__top {
  display: flex;
  display: -ms-flexbox;
  justify-content: space-between;
  align-items: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
}

.bold {
  font-weight: 700;
}
.rca__details__top span {
  font-size: 12px;
}

.rca__details__middle {
  font-size: 12px;
  display: flex;
  display: -ms-flexbox;
  align-items: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
  gap: 5px;
  margin-bottom: 10px;
}

.rca__details__middle img {
  margin-top: -8px;
  width: 20px;
}

.rca__details__footer {
  display: flex;
  display: -ms-flexbox;
  align-items: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
  justify-content: space-between;
  font-size: 12px;
  background: #fff;
  padding: 12px;
  border-radius: 4px;
  box-shadow: 0px 0px 99px 0px rgba(0, 0, 0, 0.04);
}

.rca__details__footer .price_wrapper span {
  color: #a3062f;
  font-weight: bold;
}

.rca__police {
  margin-top: 20px;
  position: relative;
}
.rca__police__header {
  position: absolute;
  display: flex;
  display: -ms-flexbox;
  align-items: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
  justify-content: center;
  top: -20px;
  width: 40px;
  height: 40px;
  background-color: #a4012d;
  border-radius: 50%;
  color: #fff;
  left: 50%;
  transform: translateX(-50%);
}

.rca__police__notice {
  font-size: 12px;
  text-align: center;
  padding: 16px;
  margin: 0;
}

.rca__police__notice.bold {
  padding: 0;
  color: #a3062f;
}

@media (max-width: 768px) {
  .rca_details {
    flex-direction: column-reverse;
  }
  .rca_tab {
    min-width: 100%;
  }
}


/* rca second step ~~~ end */

/* rca third step */
.rca_tab.step_3 {
  min-width: 1000px;
  max-width: 1000px;
}

.rca_left_top.step_3 {
  flex-direction: column;
  background: transparent;
  border-bottom: none;

}

.step_3 .rca_title_label, .step_3 .rca_result_details {
  width: 100%;
}
.step_3 .rca_result_details {
  padding: 0;
}

.rca_content_devider {
  display: flex;
  display: -ms-flexbox;
  align-items: flex-start;
  -webkit-box-align: flex-start;
      -ms-flex-align: flex-start;
  border-top: 1px solid #a4012d;
  padding-top: 20px;
  width: 100%;
  row-gap: 10px;
}

.rca_tab.step_3 .rca_left_container button {
  width: auto;
}

.rca_tab.step_3 .rca_left_container {
  background: whitesmoke;
  border-radius: 5px;
}

.datepickerInput__wrapper label .picker {
  position: relative;
}

.datepickerInput__wrapper label .picker img {
  position: absolute;
  right: 28px;
  width: 23px;
  z-index: 1;
  top: 12.5px;
}

.datepickerInput__wrapper label  {
  display: flex;
  display: -ms-flexbox;
  flex-direction: column;
  gap: 8px;
  margin: 0;
}

.datepickerInput__wrapper label .picker .datepickerInput {
  width: 100%;
  padding: 11px 29px;
  font-weight: 400;
  border-radius: 10px;
  overflow: visible;
  font-family: 'Open Sans', sans-serif;
  color: #374957;
}

.step_3 .title-box {
  display: block;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  -webkit-box-flex: 1;
  -ms-flex: 1;
  flex: 1;
  min-width: 0;
  font-size: 12px;
  font-weight: 600;
}

.step_3 .calc-form__radio-wrapper {
  display: flex;
  min-height: 44px;
  align-items: center;
  gap: 10px;
}

.step_3 .calc-form__radio-wrapper label {
  margin: 0;
}

.rca_tab.step_3 hr {
  border-top: 1px solid rgb(163, 6, 47);
}

#rca-button_step_three {
  margin-left: 16px !important;
}

@media (max-width: 1100px) {
  .rca_tab.step_3 {
    min-width: 100%;
  }
}

@media (max-width: 768px) {
  .step_3 .rca_details {
    flex-direction: column-reverse;
  }
  .step_3.rca_tab {
    min-width: 100%;
  }
  .step_3 form {
    gap: 20px;
  }
  #rca-button_step_three {
    margin-top: 0;
  }
}
/*  ~~~~~~~~~~~~~~~~~~ rca third step ~~~ end */

/* ~~~~~~~~~~~~~~~~~~ rca step_4 */
.rca_tab.rca_form_step_4 {
  min-width: 700px;
}

@media (max-width: 992px) {
  .rca_tab.rca_form_step_4 {
    min-width: 100%;
  }
}

.rca_form_step_4 .title-box {
  display: block;
  padding-right: 16px;
  -webkit-box-flex: 1;
  -ms-flex: 1;
  flex: 1;
  min-width: 0;
  font-size: 12px;
  font-weight: 600;
  margin-bottom: 10px;
}
.rca_form_step_4 .rca_title_label {
  margin-bottom: 20px;
}

.rca_form_step_4 .post-elem .elem span{
  width: 19px;
  height: 19px;
  background: #A5A5A5;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 5px;
  position: absolute;
  top: 50%;
  transform: translate(0, -50%);
  cursor: pointer;
}

.rca_form_step_4 .post-elem .elem {
  display: flex;
  align-items: center;
  font-size: 14px;
  position: relative;
}

.rca_form_step_4 .post-elem .elem label {
  width: 100%;
  position: relative;
  margin-bottom: 0;

}

.rca_form_step_4 .payments_method {
  margin-top: 0;
}

.rca_form_step_4 .row {
  margin-bottom: 20px;
}
.rca_form_step_4 .unv_calc_step {
  float: unset;
}

.gap-20 {
  gap: 20px;
}

.calculatorfull .content-calculator form.rca_form_step_4 .item label input {
  width: 100%;
}

.rca_form_step_4 .post-elem.post-elem-row {
  gap: 10px;
}

/* ~~~~~~~~~~~~~~~~~~~ rca step_4 ~~~ end */

/* Final step */
.final_step {
  margin-bottom: 90px;
}

.final_step .rca_tab {
  max-width: 500px;
  margin-bottom: 0;
}

.final_step .rca_tab p {
  margin-bottom: 0;
}

.final_step .mesajFinal {

  padding-top: 20px;
  padding-bottom: 20px;
}

.final_step .rca_title_label.success h4 {
  color: #a3062f;
}

/* RCA Error */
#rca_results_error {
  display: none;
}

#rca_results_error.show {
  display: block;
}

/* Loader */
.content-calculator {
  position: relative;
}

/* Overlay */
#overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: calc(100% + 10px);
  height: calc(100% + 10px);
  background-color: rgba(0, 0, 0, 0); /* Semi-transparent black */
  z-index: 1000; /* Ensure the overlay appears above other elements */
  display: none; /* Initially hidden */
  backdrop-filter: blur(2px);
  margin: -5px;
}

/* Loader */
#loader {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 1001; /* Ensure the loader appears above the overlay */
  display: none; /* Initially hidden */

}

.spinner {
  border-radius: 50%;
  width: 40px;
  height: 40px;
  animation: spin 1s linear infinite; /* Apply animation */
  border: 2px solid #848484;
  border-top: 2px solid #a3062f;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.hidden {
  position: absolute;
  width: 0;
  opacity: 0;
  height: 0;
  overflow: hidden;

}


.clock {
  position: absolute;
  width: 50px;
  height: 50px;
  border: 2px solid #a3062f;
  border-radius: 50%;
  left: 50%;
  top: 50%;
  background: #f5f5f5;
  transform: translate(-50%, -50%);

}

.clock::before {
  position: absolute;
  content: '';
  height: 12px;
  width: 2px;
  background: black;
  top: 50%;
  left: calc(50% - 1px);
  border-radius: 5px;
  animation: spin 8s linear infinite;
  transform-origin: top;
}

.clock::after {
  position: absolute;
  content: '';
  height: 17px;
  width: 2px;
  background: black;
  top: 50%;
  left: calc(50% - 1px);
  border-radius: 5px;
  animation: spin 3s linear infinite;
  transform-origin: top;

}

@keyframes spin {
  0% {
      transform: rotate(-180deg)
  }
  100% {
      transform: rotate(180deg)
  }
}

.clock-center {
  content: '';
  position: absolute;
  width: 5px;
  height: 5px;
  border-radius: 50%;
  background: #a3062f;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 1;

}

.pos-relative {
  width: 100px;
  height: 100px;
  position: relative;
}

.success-page-rca {
  padding: 190px 0;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
  height: calc(100vh - 442px);
}

.checkmark {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    display: block;
    stroke-width: 2;
    stroke: #4bb71b;
    stroke-miterlimit: 10;
    box-shadow: inset 0px 0px 0px #4bb71b;
    animation: fill .4s ease-in-out .4s forwards, scale .3s ease-in-out .9s both;
    position:relative;
    margin: 0 auto;
}
.checkmark__circle {
    stroke-dasharray: 166;
    stroke-dashoffset: 166;
    stroke-width: 2;
    stroke-miterlimit: 10;
    stroke: #4bb71b;
    fill: #fff;
    animation: stroke 3s cubic-bezier(0.65, 0, 0.45, 1) forwards;

}

.checkmark__check {
    transform-origin: 50% 50%;
    stroke-dasharray: 48;
    stroke-dashoffset: 48;
    animation: stroke 1s cubic-bezier(0.65, 0, 0.45, 1) 0.8s forwards;
}

@keyframes stroke {
    100% {
        stroke-dashoffset: 0;
    }
}

@keyframes scale {
    0%, 100% {
        transform: none;
    }

    50% {
        transform: scale3d(1.1, 1.1, 1);
    }
}

@keyframes fill {
    100% {
        box-shadow: inset 0px 0px 0px 30px #4bb71b;
    }
}

#text_response {
    font-size: 20px;
}

/* ============ GREEN_CARD ============== */
.w-full {
    width: 100% !important;
    max-width: 1000px;
    margin: auto;
}

.calc-form_title {
    font-family: 'Open Sans', sans-serif;
    font-size: 12px;
    font-weight: 600;
    line-height: 14px;
    text-align: left;
    color: #888F94;
    margin: 0;
}
.gap-24 {
    row-gap: 24px;
}
.rca_tab_input-tooltip {
    position: absolute;
    top: 15px;
    right: 14px;
    z-index: 10;
    cursor: pointer;
    &:hover {
        svg {
            path {
                fill: rgba(228, 34, 57, 0.5);
            }
        }
        .tooltip-body {
            display: block;
        }
    }

    .tooltip-target {

    }
    .tooltip-body {
        display: none;
        position: absolute;
        background: #fff;
        padding: 12px;
        min-width: 250px;
        top: 40px;
        border-radius: 4px;
        right: -15px;
        .caret {
            border-left: 10px solid transparent;
            border-right: 10px solid transparent;
            border-bottom: 10px solid #fff;
            border-top: 10px solid transparent;
            top: -20px;
            right: 17px;
            z-index: 100;

        }
    }
}


/* GREENCARD Error */
#greencard_results_error {
    display: none;
}

#greencard_results_error.show {
    display: block;
}

.calc-form__details__headline {
    align-items: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    color: #888f94;
    display: flex;
    display: -ms-flexbox;
    font-size: 12px;
    font-weight: 600;
    line-height: 16px;
    margin-bottom: 15px;
    text-transform: uppercase;
}

.calc-form__details__headline.error__headline {
    color: #a40730;
    margin-bottom: 0;
    font-weight: 400;
}

.calc-form-info-block {
    display: flex;
    flex-direction: column;
    background-color: #fff;
    padding: 16px 20px;
    border-radius: 8px;
    gap: 16px;
    .calc-form-info-block-container {
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 16px;
        p {
            font-size: 14px;
            font-weight: 400;
            color: #2A2B2E;
            margin: 0;
        }
        span {
            color: #00000C;
            font-size: 16px;
            font-weight: 600;
        }
    }
    .divider {
        background-color: #E2E4E7;
        min-height: 1px;
        height: 1px;
        width: 100%;
    }
}

.calc-form-footer {
    display: flex;
    align-items: center;
    .unv_calc_step {
        margin-left: auto;
    }
}
.calc-form_info_container {
    color: #676B72;
    font-size: 14px;
    font-weight: 400;
    display: flex;
    align-items: center;
    gap: 4px;
}


.calc-form_price_container {
    display: flex;
    gap: 8px;
    align-items: flex-end;
    line-height: 1;
    p {
        margin: 0;
    }
    span {
        font-size: 20px;
        color: #00000C;
        font-weight: 400;
    }
    #price_mdl {
        font-size: 24px;
        color: #00000C;
        font-weight: 700;
    }
    #price_eur {
        font-size: 20px;
        color: #848891;
        font-weight: 400;
    }
}

.gap-32 {
    gap: 32px;
}

#greencard_form_step_2, #rca-form_step_two {
    .calc-form_title {
        margin-bottom: 24px;
    }
}

#isPoliticBlock {
    > div {
        width: 100%;
    }
}

#isPoliticBlock {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

#uploadButton {
    margin: 0
}
.upload-block {
    display: flex;
    gap: 12px;
    position: relative;
    padding-bottom: 14px;
    flex-direction: column;
}

.custom-file-input {
    position: relative;
}

.rca_tab.step_3 .custom-file-input, #greencard_form_step_3 .custom-file-input {
    opacity: 1;
    border-radius: 10px;
    border: 1px dashed #E42239;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: 150px;
    background-color: #FDF0F1;
}

.file-input {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
    opacity: 0;
    cursor: pointer;
}

.file-input:hover {
    opacity: 0;
}


.file-name {
    font-size: 16px;
    color:#333;
}

.file-name-notice {
    font-size: 16px;
    color: #2A2B2E;
    font-weight: 600;
}

.file-sub-name {
    font-size: 14px;
    color: #676B72;
    font-weight: 400
}

.downloadLink {
    font-size: 15px;
    color: #333;
}

.downloadLink a {
    text-decoration: underline !important;
    color: #007bff !important;
}

.downloadLinkWrapper {
    display: flex;
    align-items: flex-end;
}

#select2-rca_person_type-results li {
    text-transform: capitalize;
}

#select2-rca_person_type-container {
    text-transform: capitalize;
}

#uploadStatus {
    position: absolute;
    bottom: -21px;
    left: 0;
    font-size: 12px;
}

.rca_svg_file {
    width: 32px;
    height: 32px;
}

.rca_uploaded_file {
    display: none;
    align-items: center;
    gap: 8px;
}

.rca_uploaded_notice {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
}

.select2-dropdown {
    top: 2px;
    border-radius: 0 0 10px 10px;
    border-radius: 0 0 10px 10px;
    border: 2px solid #d6d6d6;
}

.custom-radio-group {
    display: flex;
    &.rca-calculator {
        margin-bottom: 16px;
    }
}

.custom-radio {
    padding: 10px 20px 12px 20px;
    margin-right: 10px;
    cursor: pointer;
    border: none;
    border-radius: 6px;
    line-height: 1;
    background-color: #fff;
    transition: background-color 0.1s, border-color 0.1s;
    text-transform: capitalize;
}

.custom-radio.selected {
    background-color:#E42239;
    color: #fff;
}

.custom-radio:hover {
    /*background-color: #fff;*/
}

.custom-radio.selected:hover {
    /*background-color: #fff;*/
    /*color: #E42239;*/
}
